Subject: bug#37826: Very annoying autoraise client/server behavior with -t option

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Oct 2019 13:22:53 +0300

> From: Carlos Pita <[email-masked]>
> Date: Mon, 21 Oct 2019 05:58:13 -0300
> Cc: [email-masked]
> 
> Here is a patch that narrows the scope of minibuffer-auto-raise to
> write/revert actions that require user intervention.

I don't think I agree with such narrowing of the scope, certainly not
as an unconditional default behavior.  There are definitely situations
where an informational message in the echo-area needs to attract the
user's attention.

I also think your proposal would have an un-proportionally large
effect, whereas the original problem is quite minor.  Is it possible
to have a solution that only affects this particular use case?  E.g.,
can we delay the message until the new frame is created?

Thanks.